// Serial UART Driver

#ifndef UART_H_
#define UART_H_
#include <stdlib.h>
#include <avr/io.h>
#include <string.h>
#include "../configuration.h"
class Uart {
	public:
		void writeChar(const char letter);
		void writeString(const char* string);
		char readChar();
		uint16_t readString(char* buffer, uint16_t maxLength);
		void setBaudRate(uint32_t baudRate);
		uint16_t readWord();
		uint32_t readLong();
		void* operator new(size_t size);
		Uart(uint32_t baudRate);
};
#endif /* UART_H_ */